Bug 1265001 - python-markups should depend on python-docutils
python-markups should depend on python-docutils
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-markups (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 16:49 EDT by Giulio 'juliuxpigface'
Modified: 2015-10-09 11:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-markups-0.6.3-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-09 11:32:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giulio 'juliuxpigface' 2015-09-21 16:49:44 EDT
Description of problem:
1. Package python-markups should depend on python-docutils
2. Package python3-markups should depend on python3-docutils

Version-Release number of selected components (if applicable):
python-markups-0.6.3-1.fc23.noarch
python3-markups-0.6.3-1.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install the latest version of python-markup and python3-markups
1. Enter to a python/python3 shell
2. import markups
3. try "markup = markups.ReStructuredTextMarkup()"

Actual results:
1. python-docutils and python3-docutils packages aren't provided by default

2.
>>> markup = markups.ReStructuredTextMarkup()
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/markups/restructuredtext.py", line 40, in __init__
    from docutils.core import publish_parts
ImportError: No module named docutils.core


Expected results:
1. The installation should provide python-docutils or python3-docutils package.

Additional info:
Installing python-docutils and python3-docutils package solves both issues.
Comment 1 Fedora Update System 2015-09-22 15:18:21 EDT
python-markups-0.6.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16452
Comment 2 Fedora Update System 2015-09-23 02:57:25 EDT
python-markups-0.6.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-markups'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16452
Comment 3 Fedora Update System 2015-09-24 15:15:22 EDT
python-markups-0.6.3-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16637
Comment 4 Fedora Update System 2015-09-25 12:32:11 EDT
python-markups-0.6.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-markups'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16637
Comment 5 Fedora Update System 2015-09-26 16:29:28 EDT
python-markups-0.6.3-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2f439b8219
Comment 6 Fedora Update System 2015-09-27 03:22:37 EDT
python-markups-0.6.3-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-markups'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2f439b8219
Comment 7 Fedora Update System 2015-10-09 11:32:41 EDT
python-markups-0.6.3-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.